//-----------------------------------------------------------------------------
// Title      : bsp_ub001_mk3_led
//-----------------------------------------------------------------------------
// Funktion   : LED Test
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 06.02.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LED.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-L muss gesetzt sein
// - das Programm schaltet LED1 dauerhaft ein
//   und LED5 blinkt
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int n=0;

	MK3_INIT_LED();				// init der LEDs

	while (true)
	{
		MK3_LED_ON(LED1); 		// LED1 einschalten

		MK3_LED_TOGGLE(LED5); 	// LED5 toggeln

		for(n=0;n<60000;n++) {
			// kleine Pause
		}

	}
	return 0;
}
//-----------------------------------------------------------------------------
